<?php

namespace app\admin\controller\member;

use app\admin\service\member\FamilyService;
use app\controller\Curd;
use app\model\Family;
use support\Request;

class FamilyController
{
    public function list(Request $request)
    {
        $page = $request->get('page', 1);
        $pageSize = $request->get('pageSize', 20);
        $keywords = $request->get('keywords', '');

        return FamilyService::list($page, $pageSize, $keywords);
    }

    /**
     * @Desc 家庭列表
     * @Author Gorden
     * @Date 2024/3/6 10:59
     *
     * @param $memberId
     * @return \support\Response
     */
    public function selectList($memberId)
    {
        return FamilyService::selectList($memberId);
    }

    public function selectInfo($familyId)
    {
        return FamilyService::selectInfo($familyId);
    }
}
